## splint-doc 3.1.1-2

=== Makefile ===

install:
	mkdir -p ${DESTDIR}/usr/share/doc/splint-doc/manual/
	cp -r www.splint.org/manual ${DESTDIR}/usr/share/doc/splint-doc/

=== debian/changelog ===
splint-doc (3.1.1-2) unstable; urgency=low

  * Full documentation added (Closes: #184222)

 -- Samuele Giovanni Tonon <samu@debian.org>  Thu,  8 May 2003 13:09:03 +0200

splint-doc (3.1.1-1) unstable; urgency=low

  * Initial Release.

 -- Samuele Giovanni Tonon <samu@debian.org>  Thu,  8 May 2003 12:54:14 +0200

=== debian/control ===
Source: splint-doc
Section: doc
Priority: optional
Maintainer: Samuele Giovanni Tonon <samu@debian.org>
Build-Depends-Indep: debhelper (>> 4.0.0)
Standards-Version: 3.5.8

Package: splint-doc
Architecture: all
Depends: w3m | www-browser
Description: Documentation for splint: a tool for statically checking C programs for bugs
 Splint is a tool for statically checking C programs for security
 vulnerabilities and coding mistakes. With minimal effort, Splint can be used
 as a better lint. If additional effort is invested adding annotations to
 programs, Splint can perform stronger checking than can be done by any
 standard lint.
 This is the online manual available from the splint website.

=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1




CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp:
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
	#$(MAKE)
	#/usr/bin/docbook-to-man debian/splint-doc.sgml > splint-doc.1

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	#-$(MAKE) clean

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Add here commands to install the package into debian/splint-doc.
	$(MAKE) install DESTDIR=$(CURDIR)/debian/splint-doc


# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
